:root {
  --beer-dark: #DF8D03;
  --beer-light: #FAE96F;
}

html {
  scroll-behavior: smooth;
}

[x-cloak] {
  display: none !important;
}

body {
  display: grid;
  grid-template-columns: minmax(5vw, 1fr) minmax(auto, 1200px) minmax(5vw, 1fr);
  grid-auto-rows: minmax(100vh,auto);
  row-gap: 10vh;
  margin: 0;
  font-family: "Open Sans", sans-serif;
}

body>* {
  grid-column: 2 / 3;
}

body>section {
  align-self: center;
  justify-self: center;
  height: 100%;
  width: 100%;

  display: grid;
  align-content: center;
  row-gap: 1em;
}

body>section::before {
  content: "";
  display: block;
  z-index: -10;
  position: absolute;
  width: 100vw;
  height: 110vh;
  left: 0;
  background-size: cover;
}

#slide--welcome {
  grid-template-columns: [start] 1fr [end];
  column-gap: 2em;
}

@media (min-width: 60em) {
  #slide--welcome {
	grid-template-columns: [start] repeat(3, 1fr) [end];
    row-gap: 10vh;
  }
}

#slide--welcome::before {
  top: 0;
  background: #DF8D03;
}

#slide--welcome>h1 {
  grid-column: start / end;
  text-stroke: 2px black;
  -webkit-text-stroke: 0.05em black;
  text-shadow: 0px 0px 0.20em white;
  color: yellow;
  font-size: 3em;
  font-weight: bold;
  margin: 0;
  margin-bottom: 0.5em;
  transform: rotate(-5deg);
}

@media (min-width: 30em) {
  #slide--welcome>h1 {
	font-size: 5em;
  }
}

#slide--welcome>* {
  text-align: center;
}

#slide--info {
  row-gap: 5vh;
}

#slide--info::before {
  background-image: url(https://rockinghorse.net/cdn/shop/files/Store1.jpg?v=1687149537&width=750);
  opacity: 40%;
  filter: blur(0.5em);
}

blockquote {
  margin: 0;
  font-style: italic;
}

#information {
  display: grid;
  grid-template-columns: auto 1fr;
  grid-gap: 0.5em 2em;
}

blockquote, #information {
  max-width: 600px;
  justify-self: center;
  text-align: justify;
  hyphens: auto;
}

#information .question {
  font-weight: bold;
}

#organizers {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-evenly;
  gap: 1em;
  max-width: 100%;
}

#organizers>div {
  display: grid;
  grid-template-rows: auto 1em;
  row-gap: 0.5em;
  justify-items: center;

  font-weight: bold;
  font-size: 1.1em;
}

#organizers img {
  width: 8em;
  border-radius: 50%;
}

@media (max-width: 60em) {
  blockquote {
	font-size: 0.9em;
  }

  #organizers img {
	width: 5em;
	border-radius: 50%;
  }
}

#organizers span.label {

}

#slide--participants::before {
  background-image: url(https://images.pexels.com/photos/159291/beer-machine-alcohol-brewery-159291.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=1);
  opacity: 40%;
  filter: blur(0.2em);
}

#slide--participants>* {
  max-width: 600px;
  justify-self: center;
}

.participants span {
  transition: 0.2s all;
  border-bottom: 0.2em dotted #00000000;
}

.participants span:nth-last-child(n+2)::after {
  content: " • ";
}

.participants span:hover {
  font-weight: bold;
}

.participants span.conditional:hover {
  border-bottom: 0.2em dotted darkred;
  font-weight: normal;
}

#signup {
  --margin-horizontal: 10vw;
  --margin-vertical: 10vh;
  /* Popup */
  position: fixed;
  top: calc((100vh / 2) - var(--margin-vertical));
  left: calc((100vw / 2) - var(--margin-horizontal));
  transform: translate(-50%, -50%);
  height: auto;
  max-height: calc(100vh - (2 * var(--margin-vertical)));
  width: calc(100vw - (2 * var(--margin-horizontal)));
  max-width: 1200px;
  overflow-x: hidden;
  overflow-y: scroll;
  border-radius: 10px;
  box-shadow: 0 15px 20px -10px #00000033;
  z-index: 10;
  margin: 10vh 10vw;

  /* Beer */
  background: #FAE96FEE;
  background: 
    linear-gradient(to right, var(--beer-dark), var(--beer-light), var(--beer-dark)),
    linear-gradient(to bottom, var(--beer-dark), var(--beer-light), var(--beer-dark));
  background-position: left, top;
  background-repeat: no-repeat;

  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 1fr;
  align-content: normal;
  row-gap: 2em;
  padding: 2em;
  padding-top: 0;
  box-sizing: border-box;
}

#signup::before {
  display: none;
  content: none;
}

#signup>form {
  display: grid;
  grid-template-columns: [start] minmax(30%,20em) 1fr [end];
  row-gap: 0.5em;
  column-gap: 1em;
}

#signup>form label {
  display: grid;
  grid-auto-rows: auto;
}

#signup>form label .title {
  /*font-weight: bold;*/
}

#signup>form label .comment {
  font-style: italic;
  font-size: 0.8em;
}

label.required .title::after {
  content: "*";
  color: darkred;
  margin-left: 0.2em;
}

#signup>form>blockquote, #signup>form>button {
  grid-column: start / end;
  justify-self: center;
  margin: 1.5em;
}

#signup>h2 {
  text-align: center;

  margin: 0;
  padding: 2em 2em 1em;

  background-image: linear-gradient(
	to bottom,
	rgb(from var(--beer-dark) r g b / 0.6) 70%,
	rgb(from var(--beer-light) r g b / 0.4)
	);
  -webkit-mask:linear-gradient(to right, #0000,#000,#0000);
          mask:linear-gradient(to right, #0000,#000,#0000);
}

@keyframes glowing {
  0% {
	background-position: 0% 0;
  }

  100% {
	background-position: -400% 0;
  }
}

button.beer-effect {
  position: relative;
  overflow: hidden;
  margin: 20px;
  padding: 18px 22px;
  text-align: center;
  transition: all .6s;
  z-index: 1;
  cursor: pointer;
  border-radius: 12px;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-weight: 700;
  border-color: var(--beer-dark);
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.18);
  width: calc(min(12em,600px));
}

button.beer-effect:hover {
  width: 100%;
}

button.beer-effect:hover::after {
  animation: glowing 120s linear infinite;
}

button.beer-effect:active::after {
  background-image: unset;    
}

button.beer-effect:after {
  background-color: var(--beer-light);
  background-image:
	radial-gradient(0.4em at 1.5em 1.2em, #0000 70%, var(--beer-dark) 71% 80%, #0000 81%),
	radial-gradient(0.4em at 1.5em 1.2em, var(--beer-light) 0% 80%, #0000 81%),
	radial-gradient(0.6em at 0.7em 3em, #0000 70%, var(--beer-dark) 71% 80%, #0000 81%),
	radial-gradient(0.6em at 0.7em 3em, var(--beer-light) 0% 80%, #0000 81%)
	;
  background-size: 3em 5em;
  background-position: 0% 0;
  content: "";
  display: block;
  left: 50%;
  position: absolute;
  top: 50%;
  z-index: -1;
  width: 100%;
  padding-top: 100%;
  border-radius: 12px;
  transform: translate(-50%, -50%) rotate(75deg) scale(1.5);
}


a, a:hover {
  text-decoration: underline;
  color: black;
}

a.arrow {
  position: absolute;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 2em;
  border-radius: 50%;
  box-sizing: border-box;
  height: 1.2em;
  width: 1.2em;
  line-height: 1em;
  transition: background-color 0.5s;
  cursor: pointer;
  text-decoration: none;
  text-align: center;
}

.arrow:hover {
  background-color: white;
  border: 0.04em solid black;
}

table.participants thead>tr {
  position: sticky;
  top: 1em;
  background-color: white;
}

table.participants tr.confirmed {
  background-color: #a6e3a1;
}

table.participants tr.conditionally_confirmed {
  background-color: #f9e2af;
}

table.participants td.present, table.participants td.absent {
  background-color: white;
}

table.participants td.present::after {
  content: "";
  display: block;
  height: 1em;
  background-color: black;
  box-sizing: border-box;
}
